> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new voucher payment

> Creates a new voucher payment for a user



## OpenAPI

````yaml post /v1/vouchers
openapi: 3.0.2
info:
  title: Ventogram merchant API
  version: 1.0.0
  description: Ventogram merchant API
servers:
  - url: https://staging-vouchers.ventogram.com/api
    description: Production
security: []
tags: []
paths:
  /v1/vouchers:
    post:
      tags:
        - Voucher
      summary: Create a new voucher payment
      description: Creates a new voucher payment for a user
      operationId: create-voucher
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: User email
                fullname:
                  type: string
                  description: Fullname of the user creating voucher
                amount:
                  type: integer
                  format: int32
                  description: Required voucher amount
                currency:
                  type: string
                  description: Required voucher currency
                  enum:
                    - NGN
                    - GHS
                rateKey:
                  type: string
                  description: >-
                    This is a Ventogram-signed rate key. If provided when a
                    voucher is created, the conversion will use the rate signed
                    with this key if it is valid at the time of redeeming a
                    voucher. Conversion will use the current rate if key has
                    expired.
              required:
                - email
                - amount
                - currency
                - fullname
      responses:
        '201':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Voucher unique id
        '400':
          description: Failed operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  errors:
                    type: array
                    items:
                      type: string
                    example:
                      - email is required
                      - Invalid or expired rateKey
      security:
        - ApiUser: []
          ApiKey: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````